<!DOCTYPE html>
<%@ page language="java" contentType="text/html;charset=UTF-8" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="bootstrap" uri="http://www.jahia.org/tags/bootstrapLib" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<html lang="${renderContext.mainResourceLocale.language}">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <%-- HTML5 shim, for IE6-8 support of HTML5 elements --%>
        <template:addResources type="javascript" resources="html5shiv.js" condition="if lt IE 9"/>
        <bootstrap:addCSS/>
        <%-- font-awesome icons --%>
        <template:addResources type="css" resources="font-awesome.css"/>
        <template:addResources type="css" resources="vendor/bootstrap-responsive.css"/>

        <template:addResources type="javascript" resources="jquery.min.js"/>
        <template:addResources type="javascript" resources="workspacefactory.js"/>

        <jcr:nodeProperty node="${renderContext.mainResource.node}" name="jcr:description" inherited="true" var="description"/>
        <jcr:nodeProperty node="${renderContext.mainResource.node}" name="jcr:createdBy" inherited="true" var="author"/>
        <c:set var="keywords" value="${jcr:getKeywords(renderContext.mainResource.node, true)}"/>
        <c:if test="${!empty description}"><meta name="description" content="${fn:escapeXml(description.string)}" /></c:if>
        <c:if test="${!empty author}"><meta name="author" content="${fn:escapeXml(author.string)}" /></c:if>
        <c:if test="${!empty keywords}"><meta name="keywords" content="${fn:escapeXml(keywords)}" /></c:if>
        <c:set var="docspaceNode" value="${jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspace') ? renderContext.mainResource.node : jcr:getParentOfType(renderContext.mainResource.node, 'docmix:docspace')}"/>
        <c:set var="org.jahia.StaticAssetFilter.doNotModifyDocumentTitle" value="true" scope="request"/>

        <fmt:message key="wsfm.label.workspaceFactory" var="wsfHeadTitle"/>
        <title><c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:user')}">${fn:escapeXml(wsfHeadTitle)} - </c:if>${fn:escapeXml(renderContext.mainResource.node.displayableName)}</title>

        <link rel="shortcut icon" type="image/x-icon" href="${url.currentModule}/icon/favicon.ico">
        <link rel="icon" type="image/ico" href="${url.currentModule}/icon/favicon.ico">
        <link rel="icon" type="image/png" href="${url.currentModule}/icon/favicon.png">

        <template:addResources type="javascript" resources="i18n/workspace-factory-i18n_${currentResource.locale}.js" var="i18nJSFile"/>
        <c:if test="${empty i18nJSFile}">
            <template:addResources type="javascript" resources="i18n/workspace-factory-i18n.js"/>
        </c:if>
        <template:addResources type="javascript" resources="i18n/i18nUtils.js"/>
    </head>
    <body>
        <jcr:node var="rootPage" path="/sites/${renderContext.site.siteKey}/home"/>

        <template:area path="pagecontent"/>
    </body>
</html>
<template:theme/>